netstat-nat(1)

NAME
netstat-nat - Show the natted connections on a linux iptable firewall

SYNOPSIS
netstat-nat [options]

DESCRIPTION
netstat-nat Displays NAT connections managed by netfilter/iptables which comes with the > 2.4.x linux kernels. The program reads its information from '/proc/net/ip_conntrack', which is the temporary conntrack-storage of netfilter.

OPTIONS

-h  displays help

-n  don't resolve IPs/portnumbers to host/portnames

-p <tcp|udp|icmp>
    display NAT connections with protocol selection

-s <source host>
    display connections by source IP/hostname

-d <destination host>
    display connections by destination IP/hostname

-S  display SNAT connections

-D  display DNAT connections

-L  display only connections to NAT box self (disables SNAT & DNAT)

-x  extended view of hostnames

-r <src|dst|src-port|dst-port|state>
    sort connections

-o  no output header

FILES
/proc/net/ip_conntrack

SEE ALSO
http://tweegy.demon.nl/projects/netstat-nat/
http://netfilter.samba.org/

AUTHOR
netstat-nat has been written by mardan@tweegy.demon.nl
The manual page has been written by marceln@xs4all.nl